<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

//MOBILITY_QR_CODE_PARAMETRAGE
class ExtLitigeDemavoir extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Demande d’avoir sur votre facture @1@ du @2@'),
            $this->listeData['REF_FACT_FOU'],
            $this->listeData['DATE_FACT_FOU']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            '',
            $this->trad->t('Pour les raisons ci-après, merci de nous faire parvenir, dans les meilleurs délais, un avoir sur la facture citée en référence :'),
            $this->listeData['CAUSE'],
            '',
            $this->trad->t('Vous trouverez ci-joint une copie de la facture concernée.'),
            '',
            $this->trad->t('Cordialement,') . ' ' . $this->listeData['NOM_UTILISATEUR']
        ]);
    }
}
